Subject: Re: bug#77609: How to add multiple functions to one hook with :hook in use-package?
From: Eli Zaretskii <[email-masked]>
To: John Wiegley <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 24 May 2025 12:58:10 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: John Wiegley <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 21 May 2025 23:20:32 -0700
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> 
> > Ping! How can we make any further progress here?
> 
> So, I dug into ‘use-package-normalize/:hook’ to see how hard it would be and…
> it’s unreasonably hard. Accepting a list of functions in this way is just not
> something the code was designed to do in its current form.
> 
> So rather than risk breaking lots of things, I think the user just has to
> expand:
> 
>   :hook (foo a b)
>   :hook (foo . (a b))
> 
> into
> 
>   :hook
>   (foo . a)
>   (foo . b)

Thanks, I've now updated the manual with this information, and I'm
therefore closing this bug.